aboutsummaryrefslogtreecommitdiffstats
path: root/x11/font-bh-75dpi/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-26 21:04:49 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-26 21:04:49 +0000
commit6eff55279ab2fd0033dc3956e52a08cd02590d62 (patch)
tree17e4e982d46107010869b9de588d330a6e6824a1 /x11/font-bh-75dpi/APKBUILD
parentbceaf50054221e7a80cc56de31a80c7d325c206c (diff)
downloadaports-6eff55279ab2fd0033dc3956e52a08cd02590d62.tar.gz
aports-6eff55279ab2fd0033dc3956e52a08cd02590d62.tar.bz2
aports-6eff55279ab2fd0033dc3956e52a08cd02590d62.tar.xz
x11/font-bh-75dpi: new aport
Diffstat (limited to 'x11/font-bh-75dpi/APKBUILD')
-rw-r--r--x11/font-bh-75dpi/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/x11/font-bh-75dpi/APKBUILD b/x11/font-bh-75dpi/APKBUILD
new file mode 100644
index 0000000000..bc0bba01d6
--- /dev/null
+++ b/x11/font-bh-75dpi/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=font-bh-75dpi
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="X.Org Bigelow & Holmes bitmap fonts"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="encodings font-alias mkfontscale mkfontdir fontconfig"
+makedepends="pkgconfig font-util-dev bdftopcf"
+install="$pkgname.post-install $pkgname.post-upgrade"
+source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --with-mapfiles=/usr/share/fonts/util \
+ --with-fontdir=/usr/share/fonts/75dpi
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="6e51cd02f4ce32e1393e34ab17a9b211 font-bh-75dpi-1.0.0.tar.bz2
+a24308692d7112b79a5a188c0b5c2e41 font-bh-75dpi.post-install
+a24308692d7112b79a5a188c0b5c2e41 font-bh-75dpi.post-upgrade"